NDC only; not supported for GDS. Not supported for all NDC carriers. Use the Standalone Reprice API to reprice an itinerary on a held booking for NDC. Standalone Reprice can be sent before or after the price guarantee expires. This request would typically be used to check if the price has changed before issuing a ticket. You can then either ticket the itinerary or hold the booking again. Standalone Reprice must be sent in a workbench session. It must be followed by a Modify request to commit the workbench and either ticket or hold the itinerary. If you want to ticket at Modify, send Form of Payment and Payment before Modify. For supporting NDC carriers, see NDC Carrier Support in the developer documentation.
NDC Standalone Reprice request payload.
Requests a fare based on the cabin class. Only one cabin preferenceType (Permitted, Preferred, PreferredWithUpgrade) is allowed per request, but there is no limit to the number of cabins that can be sent.
Any CabinPreference in the initial Search request is applied to any subsequent Next Leg Search and reference Flight Specific Search requests.
- By default, the CabinPreference in the initial Search request is also applied to any subsequent Next Leg Search request. To override this default and return all cabins for the next leg in the response, send ignoreCabinPreferenceInd=true in the Next Leg Search request.
In AirPrice and AirReservation (Supported for Full Payload path only)
If CabinPreference was sent in the Search request, it is cached and sent with the AirPrice reference payload request. If CabinPreference is sent in the AirPrice request, all cached modifiers are discarded and only the modifiers sent in the AirPrice request are used.
Can be combined with lowFareFinderInd=true to return lowest fare in the requested cabin or cabins. When using CabinPreference and lowFareFinderInd, if both CabinPreference and a class of service are sent, class of service is ignored. If CabinPreference is sent without a class of service, the response returns the lowest fare in the cabin requested. If that cabin is not available, the response may upgrade or downgrade to a different cabin. If a different cabin than requested is returned, the response returns the message that the cabin class may differ from the class requested. If lowFareFinderInd=false and CabinPreference are sent in the request, AirPrice ignores the preferred cabin and returns a message that the preferred cabin was ignored.
If CabinPreference is set to All, no cabin preference is applied.
Contains additional modifiers to customize the result set. Includes optional indicators for returning or excluding specified response content.
Values sent at Search can carry forward into the Next Leg Search request and are not re-sent.
If true, the new Offer should be priced using the original Offer create date.
if true, the taxes in the new Offer should be priced using the original Offer create date.
if true, the fees in the new Offer should be priced using the original Offer create date.
Provides pricing flexibility around class of service. If not sent, the response returns fares only in the requested class of service. If true, returns the lowest fares available in any class of service available, which may not be the same as the requested class. Note that if lowFareFinderInd is sent with true and CabinPreference is sent, the only supported value for CabinPreference/type is Permitted. When lowFareFindInd=true and brand attributes are not disabled (inhibitBrandContentInd), AirPrice uses only the brand tier (and any other pricing modifiers) to find the lowest fare within a brand tier regardless of class of service. GDS only; not supported for NDC.
If true, a new Offer will replace the referenced Offer with the lowest available fare. Flight products are rebooked.
Sets whether to validate inventory in the requested class of service. If true, checks for availability for the requested number of passengers in the requested class of service at the time of the price request. If there are fewer seats than requested passengers available in that class of service, AirPrice does not return any offers and instead returns an error message that the booking class or preference is not available. This reduces failures at the Add Offer and Workbench Commit steps. GDS only; not supported for NDC, as NDC carriers already validate inventory at pricing.
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/reprice/reservationworkbench/{ReservationResource_Identifier}/offers/buildfromoffer
- https://api.travelport.net/11https://api.travelport.net/11/air/reprice/reservationworkbench/{ReservationResource_Identifier}/offers/buildfromoffer
curl -i -X POST \
https://api.pp.travelport.net/11/air/reprice/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/offers/buildfromoffer \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "OfferQueryBuildFromOffer",
"BuildFromOffer": {
"@type": "BuildFromOfferAir",
"OfferIdentifier": {
"Identifier": {
"authority": "SQ",
"value": "NThLOEMzfFNRXzU4SzhDM19BSVItMXxTUXxTUV81OEs4QzN8cHJvZHVjdDFfczEtU0VHMXxBRFQ6UEFYMg=="
}
}
}
}'{ "OfferResponse": { "Offer": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }